Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core
Interface JimiImage

All Known Subinterfaces:
  BitRasterImage, ByteRasterImage, ChanneledIntRasterImage, IntRasterImage, JimiRasterImage, MutableJimiImage, MutableJimiRasterImage

All Known Implementing Classes:
  JimiImageHandle, ErrorJimiImage

public abstract interface JimiImage

JimiImage is the top-level abstraction for all images created with Jimi. It is intended to provide the standard operations common to all types of image, and then be specialized with JimiRasterImage for pixel-level image data access.

See Also:
  `JimiRasterImage`

Method Summary
`JimiImageFactory` | `getFactory()` Get the factory used to create this JimiImage.
`java.awt.image.ImageProducer` | `getImageProducer()` Get an ImageProducer for the image.
`FormatOptionSet` | `getOptions()` Get a FormatOptionSet containing the format-specific options which were used in the file this image was loaded from.
`boolean` | `isError()` Check if the image has been set as errored.
`void` | `setOptions(FormatOptionSet options)` Associate a set of options with this image.
`void` | `waitFinished()` Wait until the image is fully loaded.

Method Detail

### getImageProducer

    public java.awt.image.ImageProducer getImageProducer()

  Get an ImageProducer for the image.

### waitFinished

    public void waitFinished()

  Wait until the image is fully loaded. This method blocks while a decoder is setting pixel information.

### getFactory

    public JimiImageFactory getFactory()

  Get the factory used to create this JimiImage.

### isError

    public boolean isError()

  Check if the image has been set as errored.
  Returns:
    true if the image is an error

### getOptions

    public FormatOptionSet getOptions()

  Get a FormatOptionSet containing the format-specific options which were used in the file this image was loaded from.

### setOptions

    public void setOptions(FormatOptionSet options)

  Associate a set of options with this image.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD